---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cyb-mongo
  namespace: cyb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cyb-mongo
  template:
    metadata:
      labels:
        app: cyb-mongo
    spec:
      containers:
        - name: cyb-mongo
          env:
            - name: MONGO_INITDB_DATABASE
              value: tezos-cyb
            - name: MONGO_INITDB_ROOT_USERNAME
              value: root
            - name: MONGO_INITDB_ROOT_PASSWORD
              value: password
          image: mongo:4.2.3
          imagePullPolicy: Always
          volumeMounts:
            - mountPath: /data/db
              name: cyb-data-vol
              subPath: mongo-data
      volumes:
        - name: cyb-data-vol
          persistentVolumeClaim:
            claimName: cyb-data-pvc
---
apiVersion: v1
kind: Service
metadata:
  name: cyb-mongo
  namespace: cyb
spec:
  type: ClusterIP
  clusterIP: None
  ports:
    - port: 42
      protocol: TCP
      targetPort: 42
  selector:
    app: cyb-mongo
